Name: lftp
Version: 3.5.1
Release: alt0.M24.2

Summary: Sophisticated command line file transfer program
Summary(ru_RU.KOI8-R):        
License: GPL
Group: Networking/File transfer
Url: http://lftp.yar.ru/

Source: ftp://ftp.yars.free.net/pub/software/unix/net/ftp/client/%name/%name-%version.tar.gz
Source1: icons-%name.tar.bz2
Source2: %name.menu
Source3: lftpget.1

Patch1: %name-2.5.4-alt-conf.patch
Patch2: %name-3.0.6-alt-tinfo.patch
Patch3: %name-3.5.1-cr.patch

Requires: less

# Automatically added by buildreq on Sun Jun 11 2006
BuildRequires: gcc-c++ hostinfo libexpat-devel libncurses-devel libreadline-devel libssl-devel libstdc++-devel libtinfo-devel

BuildPreReq: perl-String-CRC32

%description
lftp is a file retrieving tool that supports FTP and HTTP protocols under
both IPv4 and IPv6.  lftp has an amazing set of features, while preserving
its interface as simple and easy as possible.

The main two advantages over other ftp clients are reliability and ability
to perform tasks in background.  It will reconnect and reget the file being
transferred if the connection broke.  You can start a transfer in background
and continue browsing the ftp site.  It does this all in one process.  When
you have started background jobs and feel you are done, you can just exit
lftp and it automatically moves to nohup mode and completes the transfers.
It also has such nice features as reput and mirror.  And it can download a
file faster using multiple connections.

lftp can also be scriptable, it can be used to mirror sites, it lets you
copy files among remote servers (even between FTP and HTTP).  It has an
extensive online help.  It supports bookmarks, and connecting to several
ftp/http sites at the same time.

This package also includes lftpget - a simple non-interactive tool for
downloading files.

%description -l ru_RU.KOI8-R

Lftp -      ,  
 FTP  HTTP (   IPv4  IPv6). Lftp 
  ,    
.

    ftp-  ģ 
     .   
       
.         
  ftp-.     
  .      
    (reput).  
      .

     lftp,   
̣ .       .
      
.

    lftpget -    
  ( wget).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# Regenerate it.
%__rm -f src/getdate.c

%def_with nls
%def_with ssl
%def_with modules

%configure \
	%{subst_with nls} \
	%{subst_with ssl} \
	%{subst_with modules} \
        --enable-largefile \
        --with-openssl \
        --with-libgnutls \
	#
%make_build

%install
%makeinstall
%{?_with_modules:find %buildroot%_libdir/%name/ -type f -name \*.la -print -delete}

%__install -pm644 %SOURCE3 %buildroot%_man1dir/

%__mkdir_p %buildroot%_iconsdir
tar xjvf %SOURCE1 -C %buildroot%_iconsdir

%__install -pDm644 %SOURCE2 %buildroot%_menudir/%name

%__bzip2 -9fk NEWS src/ChangeLog

%find_lang %name
%{?_with_modules:%add_findprov_lib_path %_libdir/%name/%version}

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%config(noreplace) %_sysconfdir/lftp.conf
%_bindir/*
%{?_with_modules:%_libdir/%name}
%_libdir/lib%{name}*
%_datadir/%name
%_mandir/man?/*
%_menudir/%name
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc src/ChangeLog.bz2 FAQ MIRRORS NEWS.bz2
%doc README* THANKS TODO lftp.lsm BUGS FEATURES

%changelog
* Fri Jul 14 2006 Terechkov Evgenii <evg@altlinux.ru> 3.5.1-alt0.M24.2
- Patch to remove ^M from ls output added

* Sat Jul  8 2006 Evgenii Terechkov <evg@altlinux.ru> 3.5.1-alt0.M24.1
- 3.5.1

* Sun Jun 11 2006 Evgenii Terechkov <evg@altlinux.ru> 3.4.7-alt1.M24.1
- 3.4.7
- minor spec cleanups and additions

* Sat Apr 22 2006 Evgenii Terechkov <evg@altlinux.ru> 3.4.4-alt1.M24.1
- Updated 3.4.4
- Remove obsoleted patch.

* Wed Nov 16 2005 Evgenii Terechkov <evg@altlinux.ru> 3.3.3-alt1.M24.1
- Backport to M24
- Updated to 3.3.3

* Mon Jun 14 2004 Dmitry V. Levin <ldv@altlinux.org> 3.0.6-alt1
- Updated to 3.0.6.

* Tue May 25 2004 Dmitry V. Levin <ldv@altlinux.org> 3.0.4-alt1
- Updated to 3.0.4.

* Wed May 19 2004 Alexey Morozov <morozov@altlinux.org> 3.0.3-alt1
- Updated to 3.0.3.

* Mon Jan 26 2004 Dmitry V. Levin <ldv@altlinux.org> 2.6.12-alt1
- Updated to 2.6.12.

* Sun Jan 04 2004 Dmitry V. Levin <ldv@altlinux.org> 2.6.11-alt1
- Updated to 2.6.11.

* Tue Dec 16 2003 Dmitry V. Levin <ldv@altlinux.org> 2.6.10-alt2
- Handle malformed HTTP server responses gracefully
  (Nalin Dahyabhai, RH).

* Fri Dec 12 2003 Dmitry V. Levin <ldv@altlinux.org> 2.6.10-alt1
- Updated to 2.6.10.
- Merged upstream patches: cvs-fixes, alt-configure.

* Mon Dec 08 2003 Dmitry V. Levin <ldv@altlinux.org> 2.6.9-alt2
- Fixed few buffer overflows (CAN-2003-0963).

* Thu Nov 27 2003 Dmitry V. Levin <ldv@altlinux.org> 2.6.9-alt1
- Updated to 2.6.9.
- Do not package .la files.
- Fixed build with recent autotools.

* Mon Jun 02 2003 Dmitry V. Levin <ldv@altlinux.org> 2.6.6-alt1
- Updated to 2.6.6.
- Reenabled modules support since it works again.
- Corrected package summary and description.

* Mon Mar 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2.6.5-alt1
- Updated to 2.6.5.

* Thu Jan 02 2003 Dmitry V. Levin <ldv@altlinux.org> 2.6.4-alt1
- Updated to 2.6.4:
  + new settings net:socket-bind-ipv4 and net:socket-bind-ipv6
    to bind sockets to a specific address (useful to select a
    specific network interface to use);
  + now reget does not start transfer if not needed;
  + ssl:verify-certificate set to no by default;
  + fixed ~ handling in find and mirror.

* Thu Nov 21 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.3-alt1
- 2.6.3

* Mon Oct 28 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.2-alt2
- Changed default pager to less.

* Mon Sep 16 2002 Michael Shigorin <mike@altlinux.ru> 2.6.2-alt1
- 2.6.2
- minor spec cleanup

* Mon Aug 12 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.0-alt1
- 2.6.0

* Fri Jun 28 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5.4-alt2
- Updated conf patch.
- Patched to link with libtinfo.

* Tue Jun 11 2002 Michael Shigorin <mike@altlinux.ru> 2.5.4-alt1
- 2.5.4
- lftp-2.3.8-owl-addr.diff is already rolled in.

* Fri May 24 2002 Konstantin Timoshenko <kt@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Thu Apr 18 2002 Konstantin Timoshenko <kt@altlinux.ru> 2.5.1-alt1
- 2.5.1
- remove getopt patch

* Thu Feb 07 2002 Stanislav Ievlev <inger@altlinux.ru> 2.4.9-alt2
- Added patch from Owl (addrlen).

* Wed Feb 06 2002 Konstantin Timoshenko <kt@altlinux.ru> 2.4.9-alt1
- 2.4.9

* Fri Dec 14 2001 Konstantin Timoshenko <kt@altlinux.ru> 2.4.8-alt1
- 2.4.8

* Fri Nov 16 2001 Konstantin Timoshenko <kt@altlinux.ru> 2.4.7-alt1
- 2.4.7

* Tue Nov 06 2001 Konstantin Timoshenko <kt@altlinux.ru> 2.4.6-alt1
- 2.4.6
- Disable modules support (temporary fixes for bug)

* Mon Sep 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Tue Sep 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.3-alt2
- Rebuilt to get all modules.

* Thu Sep 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Mon Feb 19 2001 Kostya Timoshenko <kt@petr.kz> 2.3.8-ipl1mdk
- 2.3.8

* Tue Jan 23 2001 Kostya Timoshenko <kt@petr.kz>
- 2.3.7

* Wed Jan  3 2001 Kostya Timoshenko <kt@petr.kz>
- 2.3.6

* Tue Jan  2 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Wed Dec 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3.5-4mdk
- change the buildrequires back to readline-devel which is what this package
  is called now.

* Fri Dec  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-3mdk
- Add bz{/cat/more} support.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-2mdk
- Change Buildrequires to the new lib policy.

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.5-1mdk
- insert longtitle.
- Reinsert the modules support.
- 2.3.5.

* Wed Nov 15 2000 Daouda Lo <daouda@mandrakesoft.com> 2.3.4-4mdk
- remove hardcoded path to binary in menu

* Thu Nov 02 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-3mdk
- Rebuild for last gcc.

* Wed Oct 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-2mdk
- Disable modules support (temporary fixes for bug).

* Sun Oct 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4.

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-2mdk
- Don't compile with a custom readline take it from our tree.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.3-1mdk
- 2.3.3.

* Fri Sep 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-3mdk
- Correct icons (#458, #459).

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-2mdk
- Fix queue command.

* Fri Sep 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.0-1mdk
- Fix compilation with last libtool.
- 2.3.0.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.2.5-2mdk
- automatically added BuildRequires

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.5-1mdk
- new release
- use righ macros

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-3mdk
- Compile modules with -lc.

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-2mdk
- Rebuild due to a bad macros.

* Tue Jul 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-1mdk
- More macros.
- BM.
- 2.2.4.

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3.
- Use find_lang and mandir macros.

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-2mdk
- Fix menu icon.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-1mdk
- Add menu entry.
- Add lftpget.1 man page from debian package.
- 2.2.0 (using 2.2.0a in fact).

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.10-1mdk
- 2.1.10.
- Update groups.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-2mdk
- Include src/ChangeLog not ChangeLog (outdated).
- 2.1.9.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8-1mdk
- 2.1.8.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6.
- use %configure.

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.
- Fix completion on directory.
- more alias.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.4.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.3.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.2

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.0

* Wed Sep 22 1999 Daouda Lo <daouda@mandrakesoft.com>
- 2.0.5

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.0.4
- add the url
- fix a bug in spec that preventing from including locales
- fix permissions (now this could be builded as non root)

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.3 finale.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- pre2.0.3-990722 from CVS.
- enable --with-modules.
- Relifting of Spec files.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Set passive by default (special Pixel ;-)).
- 2.0.1.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.0
